Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class DefaultGroovyStaticMethods

This class defines all the new static groovy methods which appear on normal JDK classes inside the Groovy environment. Static methods are used with the first parameter as the destination class.

author:
  Guillaume Laforge

author:
  Dierk Koenig

author:
  Joachim Baumann

version:
  $Revision: 9764 $

Constructor Summary
`DefaultGroovyStaticMethods()`

Method Summary
`static Matcher` | `getLastMatcher(Matcher matcher)` Get the last hidden matcher that system used to do a match.
`static void` | `sleep(Object object, long milliseconds)` Sleep for so many milliseconds, even if interrupted.
`static void` | `sleep(Object object, long milliseconds, Closure onInterrupt)` Sleep for so many milliseconds as long as it returns false, the sleep continues
`static void` | `sleepImpl(Object object, long millis, Closure closure)` This method is used by both sleep() methods to imlement sleeping for the given time even if interrupted as long as the closure returns false the sleep continues
`static Thread` | `start(Thread self, Closure closure)` Start a Thread with the given closure as a Runnable instance.
`static Thread` | `startDaemon(Thread self, Closure closure)` Start a daemon Thread with the given closure as a Runnable instance.

Constructor Detail

### DefaultGroovyStaticMethods

    DefaultGroovyStaticMethods()

Method Detail

### getLastMatcher

    public static Matcher getLastMatcher(Matcher matcher)

  Get the last hidden matcher that system used to do a match.
  param:
    matcher
  return:
    the last regex matcher

### sleep

    public static void sleep(Object object, long milliseconds)

  Sleep for so many milliseconds, even if interrupted.
  param:
    object receiver
  param:
    milliseconds the number of milliseconds to sleep

### sleep

    public static void sleep(Object object, long milliseconds, Closure onInterrupt)

  Sleep for so many milliseconds
  param:
    object receiver
  param:
    milliseconds the number of milliseconds to sleep
  param:
    onInterrupt interrupt handler, InterruptedException is passed to the Closure
  as long as it returns false, the sleep continues

### sleepImpl

    static void sleepImpl(Object object, long millis, Closure closure)

  This method is used by both sleep() methods to imlement sleeping for the given time even if interrupted
  param:
    object receiver
  param:
    millis the number of milliseconds to sleep
  param:
    closure optional closure called when interrupted
  as long as the closure returns false the sleep continues

### start

    public static Thread start(Thread self, Closure closure)

  Start a Thread with the given closure as a Runnable instance.
  param:
    self the thread on which the method is called
  param:
    closure the Runnable closure
  return:
    the started thread

### startDaemon

    public static Thread startDaemon(Thread self, Closure closure)

  Start a daemon Thread with the given closure as a Runnable instance.
  param:
    self the thread on which the method is called
  param:
    closure the Runnable closure
  return:
    the started thread